Get Profile
GET /profiles/{profile_uuid}
Returns the details of an existing Profile.
Response Fields
uuid
string
The Profile’s UUID.
Example value: pro_f4ac8520-3de3-40d6-9059-a5da34f34123
code
string
The Profile’s code.
Example value: PRLX6CATF123
global_status
string
The Profile’s status.
Example value: CREATED
Other values: CREATED, WAITLISTED, ONBOARDING, REJECTED, ACTIVE,
RESTRICTED, SUSPENDED, TERMINATED, DEACTIVATED, DELETED
platform_program_id
string
The ID of the Platform Program the profile belongs to.
Example value: plp_8555fd61-d666-480f-bc95-4d1d752fb000
type
string
The type of the Profile.
Example value: MERCHANT
name
string
The public name of the business.
Example value: Cafe Novo
website
string
The business website.
Example value: https://cafenovo.com
country
string
The country of the business, as an ISO 3166 alpha-3 code.
Example value: USA
primary_category
string
The main category of the business.
Example value: FINANCIAL_AND_INSURANCE_SERVICES
secondary_category
string
The specific category within the primary_category.
Example value: INSURANCE
default_currency
string
The default currency of the profile, in ISO 4217 format.
Example value: USD
environments
object
The environments in which the profile operates. Each one has its own merchant.
Example value:
"environments": [
{
"merchant_id": "mer_03c9ecb2-5d67-47d0-88e5-0728ff2f1234",
"merchant_code": "MF3A7TJ1234",
"environment": "PRODUCTION"
}
]
creation_source
string
The creation source of the Profile.
Example value: MERCHANT_API
date_created_gmt
string
Profile created date
Example value: 2026-11-10T21:34:23.081Z
date_updated_gmt
string
Profile updated date
Example value: 2026-11-10T21:34:23.081Z
curl --location 'https://api.druo.com/profiles/pro_f4ac8520-3de3-40d6-9059-a5da34f34123' \ --header 'DRUO-Version: 2021-11-22' \ --header 'Authorization: Bearer ACCESS_TOKEN'
{
"profile": {
"uuid": "pro_f4ac8520-3de3-40d6-9059-a5da34f34123",
"code": "PRLX6CATF123",
"global_status": "CREATED",
"platform_program_id": "plp_8555fd61-d666-480f-bc95-4d1d752fb000",
"type": "MERCHANT",
"name": "Cafe Novo",
"website": "https://cafenovo.com",
"country": "USA",
"primary_category": "FINANCIAL_AND_INSURANCE_SERVICES",
"secondary_category": "INSURANCE",
"default_currency": "USD",
"environments": [
{
"merchant_id": "mer_03c9ecb2-5d67-47d0-88e5-0728ff2f1234",
"merchant_code": "MF3A7TJ1234",
"environment": "PRODUCTION"
}
],
"creation_source": "MERCHANT_API",
"date_created_gmt": "2026-11-10T21:34:23.081Z",
"date_updated_gmt": "2026-11-10T21:34:23.081Z"
}
}